/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Artistlist data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_artist_list_data_h
#define mp3_artist_list_data_h

#include <zz_data_service.h>

class Cmp3ArtistListData : public CzzDataService
{
public:

	//* Construction
	Cmp3ArtistListData();
	virtual ~Cmp3ArtistListData();

	CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:
	int countAlbums( const CzzString& path );

};

#endif // mp3_artist_list_data_h