/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

// Implementation of class Cmp3HelpRender

#include "mp3_help_render.h"
#include "mp3_general_data.h"
#include "mp3_config.h"
#include "mp3_svc.h"
#include "mp3_help_data.h"

// Construction
Cmp3HelpRender::Cmp3HelpRender( void* session, CzzParameterMap* cgi )
: CzzOutputRender( CzzString::Format( ".\\%s\\%s\\renderHelp.html", Cmp3Config::getLang().c_str(), Cmp3Config::getSkin().c_str() ) , session, cgi )
{

	CzzString back_url = CzzString::Format( "javascript:back()" );

	this->addFieldSvc( new Cmp3GeneralData( back_url, "myMusic", 
		CzzString::Format( "%s", Cmp3Config::HEADLINE_HELP().c_str() )));

	this->addFieldSvc( new Cmp3HelpData( ) );
}

// Destruction
Cmp3HelpRender::~Cmp3HelpRender()
{

}

