/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Record data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_record_data_h
#define mp3_record_data_h

#include <zz_data_service.h>

class Cmp3RecordData : public CzzDataService
{
public:

	//* Construction
	Cmp3RecordData( const CzzString& added_radio );
	Cmp3RecordData( void );
	virtual ~Cmp3RecordData();

	CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:
	CzzString m_AddedRadio;

};

#endif // mp3_record_data_h