/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Seek data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_seek_result_data_h
#define mp3_seek_result_data_h

#include <zz_data_service.h>
#include <mp3_list.h>

class Cmp3SeekResultData : public CzzDataService
{
public:

	//* Construction
	Cmp3SeekResultData();
	virtual ~Cmp3SeekResultData();

	CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:

	void createSeekList( const char* path, Cmp3List* list );
	CzzString getArtist( const char* path );
	CzzString getAlbum( const char* path );
	CzzString getSong( const char* path );

};

#endif // mp3_seek_result_data_h